com.dlsc.flexgantt.command

## Enum CommandStackEvent.ID

- java.lang.Object
- - java.lang.Enum<CommandStackEvent.ID>
  - - com.dlsc.flexgantt.command.CommandStackEvent.ID

- All Implemented Interfaces:
    Serializable, Comparable<CommandStackEvent.ID>
  Enclosing class:
    CommandStackEvent

      public static enum CommandStackEvent.ID
      extends Enum<CommandStackEvent.ID>

  The command stack event ID allows command stack listeners to distinguish between different types of command stack events. The IDs basically describe the various stages throughout the command execution cycle.
  Since:
    1.0
  See Also:
    `ICommandStack`, `ICommandStackListener`, `CommandStackEvent`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COMMAND_CANCELED` Identifier for canceled commands.
    `COMMAND_EXECUTED` Identifier for 'command terminated successfully'.
    `COMMAND_FAILED` Identifier for executed commands that failed.
    `COMMAND_STARTED` Identifier for 'command started' event. b
    `COMMAND_UNDONE` Identifier for 'command undo successful'.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CommandStackEvent.ID` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static CommandStackEvent.ID[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### COMMAND_CANCELED

          public static final CommandStackEvent.ID COMMAND_CANCELED

      Identifier for canceled commands.
      Since:
        1.0

    - #### COMMAND_EXECUTED

          public static final CommandStackEvent.ID COMMAND_EXECUTED

      Identifier for 'command terminated successfully'.
      Since:
        1.0

    - #### COMMAND_FAILED

          public static final CommandStackEvent.ID COMMAND_FAILED

      Identifier for executed commands that failed.
      Since:
        1.0

    - #### COMMAND_STARTED

          public static final CommandStackEvent.ID COMMAND_STARTED

      Identifier for 'command started' event. b
      Since:
        1.0

    - #### COMMAND_UNDONE

          public static final CommandStackEvent.ID COMMAND_UNDONE

      Identifier for 'command undo successful'.
      Since:
        1.0

  - ### Method Detail

    - #### values

          public static CommandStackEvent.ID[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CommandStackEvent.ID c : CommandStackEvent.ID.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CommandStackEvent.ID valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.